Fehermeldung: xcode-select: error: tool ‘xcodebuild’ requires Xcode, but active developer directory ‘/Library/Developer/CommandLineTools’ is a command line tools instance

In meinem Fall trat die folgende Fehlermeldung im Zusammenhang mit der Übersetzung einer iOS-Version aus einem Ionic-Projekt zusammen. Aber es wird auch andere Situationen geben, die zu dieser Meldung führen:

xcode-select: error: tool ‘xcodebuild’ requires Xcode, but active developer directory ‘/Library/Developer/CommandLineTools’ is a command line tools instance

In meinem Fall hat die Eingabe des folgenden Kommandos geholfen, um das Problem zu beheben:

sudo xcode-select -s /Applications/Xcode.app/Contents/Developer
Like what you read? Give Ralf Weinbrecher a round of applause.

From a quick cheer to a standing ovation, clap to show how much you enjoyed this story.